unit Unit7;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.StdCtrls, WEBLib.StdCtrls, WEBLib.ExtCtrls,
  WEBLib.ComCtrls, Vcl.Controls, WEBLib.Grids, Vcl.Imaging.pngimage,
  WEBLib.SideMenu;

type
  TForm7 = class(TWebForm)
    PageControl1: TWebPageControl;
    WebPageControl1Sheet4: TWebTabSheet;
    WebScrollBox4: TWebScrollBox;
    WebPageControl1Sheet2: TWebTabSheet;
    RGridAddresses: TWebResponsiveGrid;
    WebSideMenu1: TWebSideMenu;
    procedure WebFormCreate(Sender: TObject);
    procedure SetPageControlTransparent;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form7: TForm7;

implementation

{$R *.dfm}
procedure TForm7.SetPageControlTransparent;
var
  i: Integer;
begin
  // Set the PageControl background to transparent
  pageControl1.ElementHandle.style.setProperty('background', 'transparent', 'important');
  pageControl1.ElementHandle.style.setProperty('border', 'none', 'important');

  // Loop through each TabSheet and make it transparent
  for i := 0 to pageControl1.PageCount - 1 do
  begin
    pageControl1.Pages[i].ElementHandle.style.setProperty('background', 'transparent', 'important');
    pageControl1.Pages[i].ElementHandle.style.setProperty('border', 'none', 'important');
  end;
end;
procedure TForm7.WebFormCreate(Sender: TObject);
begin


  SetPageControlTransparent;
end;

end.